<template>
	<view class="content">
		<view class="tishi">
			提示：提现手续费为7.5%
		</view>
		<view class="row-box">
			<view class="could">
				<text class="">
					可提现金额
				</text>
				<text class="num" v-if="money*1 >= 0">
					￥{{ money | getMoneyStyle }}
				</text>
				<text class="num" v-else>
					￥{{ money*-1 | getMoneyStyle }}(冻结中)
				</text>
			</view>
			<view class="jg"></view>
			<view class="sq">
				<text class="">
					申请提现金额
				</text>
				<text class="num">
					￥{{ withdrawal | getMoneyStyle }}
				</text>
			</view>
			<view class="jg"></view>
			<view class="row">
				<text class="tit">￥</text>
				<input class="input" type="number" v-model="withdrawal" :placeholder="'最低提现金额' + minPrice + '元'" placeholder-class="placeholder" />
				<view class="buttom" @click="withdrawal = money">全部提现</view>
			</view>
			<template v-if="withdrawal*1 > 0">
				<view class="sq">
					<text class="" style="font-size: 28rpx;">
						手续费
					</text>
					<text class="num" style="font-size: 28rpx;">
						￥{{ sxf | getMoneyStyle }}
					</text>
				</view>
				<view class="sq" >
					<text class="" style="font-size: 28rpx;">
						实际到账
					</text>
					<text class="num" style="font-size: 28rpx;">
						￥{{ sjdz | getMoneyStyle }}
					</text>
				</view>
			</template>
			
		</view>
		<!-- #ifndef MP-WEIXIN -->
		<view class="list" v-if="!weichatBsrowser">
			<view style="padding-top: 28rpx; font-size: 32rpx; font-weight: 600;color: #4d4d4d;">
				提现到
			</view>
			<radio-group @change="tabRadio">
				<label>
					<view class="box">
						<view class="icon iconfont iconweixin1"></view>
						<view class="title-box">
							<view class="title"><text>提现至微信</text></view>
						</view>
						<view class="right"><radio value="weixin" color="#ff4c4c" :checked="type == 'weixin'" /></view>
					</view>
				</label>
				<label>
					<view class="box">
						<view class="icon iconfont iconzhifubao"></view>
						<view class="title-box">
							<view class="title">
								<text v-if="aliData.fullname">提现至支付宝</text>
								<text v-else>请创建支付宝账号</text>
							</view>
							<view class="node">
								<text v-if="aliData.fullname">真实姓名({{ aliData.fullname }})</text>
							</view>
						</view>
						<view class="right"><radio value="alipay" color="#ff4c4c" :checked="type == 'alipay'" /></view>
					</view>
				</label>
				<label>
					<view class="box">
						<view class="icon iconfont"><image class="icon-img" src="/static/icon/i8.png" mode="aspectFit"></image></view>
						<view class="title-box">
							<view class="title">
								<text v-if="bankData.bankno">{{ bankData.bank + ' ' + bankData.bankno }}</text>
								<text v-else>请创建银行账号</text>
							</view>
							<view class="node">
								<text v-if="bankData.fullname">真实姓名({{ bankData.fullname }})</text>
							</view>
						</view>
						<view class="right"><radio value="bank" color="#ff4c4c" :checked="type == 'bank'" /></view>
					</view>
				</label>
			</radio-group>
		</view>
		<!-- #endif -->
		<button class="add-btn up" @click="confirm">提交申请</button>
		<button class="add-btn up" v-if="!weichatBsrowser" @click="navTo('/pages/money/account')">账号管理</button>
	</view>
</template>

<script>
import { getMoneyStyle } from '@/utils/rocessor.js';
import { extractCash, extractBank, aliInfo, bankInfo } from '@/api/wallet.js';
import uniNoticeBar from '@/components/uni-notice-bar/uni-notice-bar.vue';
import { getSpreadCount } from '@/api/user.js';
export default {
	filters: {
		getMoneyStyle
	},
	components: {
		uniNoticeBar
	},
	data() {
		return {
			// sxf: '0.00',
			type: 'weixin', //提现方式
			money: '0.00', //可提现金额
			freeze: '0.0', //冻结金额
			withdrawal: '', //提现金额
			minPrice: '', //最少提现金额
			aliData: {},
			bankData: {},
			// #ifdef H5
			weichatBsrowser: false
			// #endif
			
		};
	},
	computed: {
		//提现手续费
		sxf() {
			return (this.withdrawal*1*0.075)
		},
		//实际到账
		sjdz() {
			return (this.withdrawal*1*0.925)
		}
	},
	onLoad(options) {
		// #ifdef H5
		this.weichatBsrowser = uni.getStorageSync('weichatBrowser');
		// #endif
		//加载提现信息
		this.loadData();
		// 加载提款账号信息
		// this.loadAli();
		// this.loadBank();
	},
	methods: {
		// 更新数据
		dataUp(){
			this.loadAli();
			this.loadBank();
		},
		//加载数据
		async loadAli(source) {
			aliInfo({}).then(e => {
				this.aliData = e.data;
			});
		},
		// 加载银行卡信息
		async loadBank() {
			bankInfo({}).then(e => {
				this.bankData = e.data;
			});
		},
		// 加载余额信息
		async loadData() {
			// spreadInfo().then( ({data}) => {
			// 	console.log(data,"spreadInfo++++++++++++++++++")
			// 	this.money = data.brokerage_price//可提现余额
			// 	this.minPrice = data.user_extract_min//最小提现
			// 	this.freeze = data.lock_brokerage//冻结金额
			// })
			// getSpreadCount({}, 3).then(({ data }) => {
			// 	console.log(data);
			// 	this.money = data.count;
			// });
			extractBank({}).then(({ data }) => {
				this.money = data.commissionCount;//可提现余额
				console.log(this.money)
				this.minPrice = data.minPrice;//最小提现
				this.freeze =data.inmoneyCount//提现中的余额
			});
		},
		// 跳转
		navTo(url) {
			uni.navigateTo({
				url: url
			});
		},
		// 切换选中对象
		tabRadio(e) {
			this.type = e.detail.value;
		},
		// 提交
		confirm() {
			console.log(this.withdrawal,this.money)
			if(+this.withdrawal == 0) {
				return this.$api.msg('请输入提现金额')
			}
			if(+this.withdrawal < +this.minPrice){
				return this.$api.msg('提现金额不足最低提现金额')
			}
			if(+this.withdrawal > +this.money){
				return this.$api.msg('可提现佣金不足')
			}
			let data = {
				extract_type: this.type, //bank -银行卡 alipay-支付宝 weixin-微信
				money: this.withdrawal, //金额
				money_type: 0//0佣金1余额
			}
			if (this.type=='alipay') {
				data.name = this.aliData.fullname;
				data.alipay_code = this.aliData.alino;
				if(!data.name){
					return this.$api.msg('请完善账户名称')
				}
				if(!data.alipay_code){
					return this.$api.msg('请完善支付宝账号')
				}
			}
			if (this.type=='bank') {
				data.name = this.bankData.fullname;
				data.bankname = this.bankData.bank;
				data.cardnum = this.bankData.bankno;
				if(!data.name) {
					return this.$api.msg('请完善银行卡信息')
				}
				if(!data.bankname) {
					return this.$api.msg('请完善银行卡信息')
				}
				if(!data.cardnum) {
					return this.$api.msg('请完善银行卡信息')
				}
			}
			
			
			extractCash(data)
				.then(e => {
					uni.showToast({
						title: '提交成功',
						duration: 2000,
						position: 'top'
					});
				})
				.catch(e => {
					console.log();
				});
		}
	}
};
</script>

<style lang="scss">
page {
	height: 100%;
}
.content-money {
	padding: 30rpx 0;
	background: #ffffff;
}
.flex {
	background-color: #ffffff;
	text-align: center;
	margin: 0 30rpx;
	border-radius: $border-radius-sm;
	justify-content: space-between;
	flex-direction: row;
	.buttom {
		font-size: $font-lg;
		width: 50%;
	}
	.interval {
		width: 2px;
		height: 60rpx;
		background-color: #eeeeee;
	}
	.icon {
		background-size: 100%;
		font-size: 42rpx;
		color: $font-color-dark;
		font-weight: bold;
		background-repeat: no-repeat;
		background-position: center;
	}
	.text {
		color: $font-color-light;
	}
}

.row-box {
	// margin-top: 30rpx;
	padding: 20rpx 30rpx;
	background: #fff;
	.title {
		font-size: $font-base + 2rpx;
		color: $font-color-dark;
	}
	.row {
		display: flex;
		align-items: center;
		position: relative;
		height: 80rpx;
		.tit {
			flex-shrink: 0;
			width: 40rpx;
			font-size: 30rpx;
			color: $font-color-dark;
		}
		.input {
			flex: 1;
			font-size: 30rpx;
			color: $font-color-dark;
		}
		.iconlocation {
			font-size: 36rpx;
			color: $font-color-light;
		}

		.buttom {
			// color: $font-color-spec;
			color: #f34358;
			font-size: $font-base;
		}
	}
}
.add-btn {
	&.modified {
		color: $base-color;
	}
	&.up {
		background-color: $base-color;
		color: #fff;
	}
	display: flex;
	align-items: center;
	justify-content: center;
	width: 690rpx;
	height: 80rpx;
	margin: 0 auto;
	margin-top: 30rpx;
	font-size: $font-lg;
	border-radius: 10rpx;
	// box-shadow: 1px 2px 5px rgba(219, 63, 96, 0.4);
}

.list {
	padding-left: 30rpx;
	margin-top: 30rpx;
	background-color: #ffffff;
	.box {
		display: flex;
		align-items: center;
		width: 100%;
		padding:0 21rpx ;
		height: 120rpx;
		border-bottom: 1px solid $border-color-light;
		.icon {
			font-size: 48rpx;
			padding-right: 20rpx;
			.icon-img {
				height: 50rpx;
				width: 50rpx;
			}
		}
		.iconweixin1 {
			color: #18bf16;
		}
		.iconzhifubao {
			color: #08aaec;
		}
		.title-box {
			flex-grow: 1;
			text-align: left;
			.title {
				font-size: $font-base + 2rpx;
				color: $font-color-base;
			}
			.node {
				font-size: $font-sm;
				color: $font-color-light;
			}
		}
	}
}
/deep/ .uni-radio-input {
	width: 45rpx;
	height: 45rpx;
}

.could, .sq {
	height: 110rpx;
	font-size: 32rpx;
	font-weight: 600;
	color: #333333;
	line-height: 110rpx;
	display: flex;
	justify-content: space-between;
	.num {
		font-size: 40rpx;
		font-weight: bold;
		color: #333333;
		// line-height: 46px;
	}
}
.jg {
	width: 100%;
	height: 1px;
	background-color: #E6E6E6;
}
.tishi {
	padding:10rpx 30rpx;
	font-size: 28rpx;
	color: #eb8a31;
}
</style>
